## START: Set by rpmautospec
## (rpmautospec version 0.6.3)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 2;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

%global srcname pymediawiki
%global modname mediawiki

Name:           python-%{srcname}
Version:        0.7.4
Release:        %autorelease
Summary:        Python wrapper and parser for MediaWiki API

License:        MIT
URL:            https://pypi.python.org/pypi/%{srcname}
Source0:        %{pypi_source}

BuildArch:      noarch
BuildRequires:  python3-devel

%global _description %{expand:
Pymediawiki is a python wrapper and parser for the MediaWiki API.
The goal is to allow users to quickly and efficiently pull data
from the MediaWiki site of their choice instead of worrying about
dealing directly with the API. As such, it does not force the use of
a particular MediaWiki site. It defaults to Wikipedia but other
MediaWiki sites can also be used.}

%description %_description


%package -n     python3-%{srcname}
Summary:        %{summary}

# Importable module is named mediawiki
%py_provides python3-%{modname}

%description -n python3-%{srcname} %_description


%prep
%autosetup -n %{srcname}-%{version}

# Remove egg files from source
rm -r %{srcname}.egg-info


%generate_buildrequires
%pyproject_buildrequires


%build
%pyproject_wheel


%install
%pyproject_install
%pyproject_save_files %{modname}


%check
%pyproject_check_import
# tests provided in sources uses internet connection


%files -n python3-%{srcname} -f %{pyproject_files}
%license LICENSE
%doc CHANGELOG.md CONTRIBUTING.md README.rst


%changelog
## START: Generated by rpmautospec
* Fri Jun 07 2024 Python Maint <python-maint@redhat.com> - 0.7.4-2
- Rebuilt for Python 3.13

* Sat Jan 27 2024 Mattia Verga <mattia.verga@proton.me> - 0.7.4-1
- Update to 0.7.4 (fedora#2257081)

* Fri Jan 26 2024 Fedora Release Engineering <releng@fedoraproject.org> - 0.7.3-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild

* Mon Jan 22 2024 Fedora Release Engineering <releng@fedoraproject.org> - 0.7.3-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild

* Sun Sep 10 2023 Mattia Verga <mattia.verga@proton.me> - 0.7.3-2
- Migrated to SPDX license (noop)

* Wed Aug 02 2023 Mattia Verga <mattia.verga@proton.me> - 0.7.3-1
- Update to 0.7.3 (fedora#2227337)

* Fri Jul 21 2023 Fedora Release Engineering <releng@fedoraproject.org> - 0.7.2-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_39_Mass_Rebuild

* Wed Jun 14 2023 Python Maint <python-maint@redhat.com> - 0.7.2-3
- Rebuilt for Python 3.12

* Fri Jan 20 2023 Fedora Release Engineering <releng@fedoraproject.org> - 0.7.2-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_38_Mass_Rebuild

* Sat Sep 17 2022 Mattia Verga <mattia.verga@proton.me> - 0.7.2-1
- Update to 0.7.2 (fedora#2124311)

* Fri Jul 22 2022 Fedora Release Engineering <releng@fedoraproject.org> - 0.7.1-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_37_Mass_Rebuild

* Mon Jun 13 2022 Python Maint <python-maint@redhat.com> - 0.7.1-2
- Rebuilt for Python 3.11

* Sun Feb 20 2022 Mattia Verga <mattia.verga@protonmail.com> - 0.7.1-1
- Initial import (fedora#2051107).
## END: Generated by rpmautospec
